Standard (Java SE 9 & JDK 9 )
Keywords: com.sun.tools.doclets.standard.Standard class

Module jdk.javadoc
Package com.sun.tools.doclets.standard

## Class Standard

- java.lang.Object
- - com.sun.tools.doclets.standard.Standard

- Deprecated, for removal: This API element is subject to removal in a future version.
  The doclet has been superseded by its replacement, `StandardDoclet`.

      @Deprecated(forRemoval=true,
                  since="9")
      public class Standard
      extends Object

  This doclet generates HTML-formatted documentation for the specified packages and types.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Standard​()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LanguageVersion` | `languageVersion​()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static int` | `optionLength​(String option)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static boolean` | `start​(RootDoc root)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static boolean` | `validOptions​(String[][] options, DocErrorReporter reporter)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Standard

          public Standard​()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### optionLength

          public static int optionLength​(String option)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### start

          public static boolean start​(RootDoc root)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### validOptions

          public static boolean validOptions​(String[][] options,
                                             DocErrorReporter reporter)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### languageVersion

          public static LanguageVersion languageVersion​()

      Deprecated, for removal: This API element is subject to removal in a future version.